﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;
using System.Collections.Specialized;
using System.Collections;

namespace DB_IM_File_checker
{
    public partial class Form1 : Form
    {
        string f1fullpath;
        string f2fullpath;
        StringDictionary filearray = new StringDictionary();

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.Show(); //figure out folders
            fbrowse.Description = "Select the folder IM downloads to:";
            fbrowse.ShowDialog();
            f1fullpath = fbrowse.SelectedPath;
            fbrowse.Description = "Select the folder Darwinbots reads from:";
            fbrowse.ShowDialog();
            f2fullpath = fbrowse.SelectedPath;
            if (f1fullpath != "" & f2fullpath != "")
            {
                update.Enabled = true; //start processing
                ml.Text = "Running...";
            }
            else
            {
                MessageBox.Show("Cancel was selected"); //invalid folders
                Application.Exit();
            }
        }

        private void update_Tick(object sender, EventArgs e) 
        {
            StringDictionary tmpfilearray = filearray;

            //populate the filecollection with current files
            filearray.Clear();
            DirectoryInfo dir = new DirectoryInfo(f1fullpath);
            foreach (FileInfo fi in dir.GetFiles())
            {
                filearray.Add(fi.Name.ToString(),fi.Length.ToString());
            }

            try
            {
                foreach (DictionaryEntry fa in filearray)
                {
                    foreach (DictionaryEntry tmpfa in tmpfilearray)
                    {
                        if (fa.Key == tmpfa.Key)
                             if (fa.Value == tmpfa.Value)
                                 File.Move(f1fullpath + @"\" + fa.Key, f2fullpath + @"\" + fa.Key);  //safe to move file
                    }
                }
            }
            catch
            {
            }
        }
    }
}
/*using this test
Imports System.IO
Module Module1

    Sub Main()
        Dim tw As TextWriter = File.CreateText("C:\Users\Owner\Desktop\source folder\test.txt")
        Do
            tw.WriteLine("still writing")
        Loop
        tw.Close()
    End Sub

End Module
 */
